跳到主要内容

删除 Entity (V2)

This operation deletes entities by their IDs or with a boolean expression.

POST/v2/vectordb/entities/delete
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring

数据库名称。

collectionNamestring必填项

待删除 Entity 的目标 Collection。

filterstring

标量过滤条件,用于过滤匹配的 Entity。要构建标量过滤条件,请参考标量过滤器参考

partitionNamestring

当前 Collection 中的 Partition 名称。 如果指定,则从指定的 Partition 中删除数据。

idstring

待删除 Entity 的主键。可以使用此参数替代 filter 来按主键删除单个 Entity。

exprParamsobject

Expression template parameter values for parameterized filter expressions.

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "medium_articles",
"filter": "id == 4321034832910"
}'
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "medium_articles",
"filter": "reading_time > 15"
}'
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "medium_articles",
"id": "4321034832910"
}'
响应200 - application/json
codeinteger

响应码。

costinteger

当前操作的花费。仅用于 Free 和 Serverless 集群,表示当前操作消耗的 vCU。

dataobject

响应载荷,为空对象。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"cost": 0,
"data": {}
}